% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/key-handlers.R
\name{clear_synthesize_token}
\alias{clear_synthesize_token}
\title{Clear Synthesize Bio API Token}
\usage{
clear_synthesize_token(remove_from_keyring = FALSE)
}
\arguments{
\item{remove_from_keyring}{Logical, whether to also remove the token from the
system keyring if it's stored there. Defaults to FALSE.}
}
\value{
Invisibly returns TRUE.
}
\description{
Clears the Synthesize Bio API token from the environment for the
current R session. This is useful for security purposes when you've finished
working with the API or when switching between different accounts.
}
\examples{
\dontrun{
# Clear token from current session only
clear_synthesize_token()

# Clear token from both session and keyring
clear_synthesize_token(remove_from_keyring = TRUE)
}
}
