% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-handlers.R
\name{extract_expression_data}
\alias{extract_expression_data}
\title{Extract Gene Expression Data from API Response}
\usage{
extract_expression_data(parsed_content, as_counts = TRUE)
}
\arguments{
\item{parsed_content}{The parsed API response list}

\item{as_counts}{Logical, if FALSE, transforms the predicted expression counts into logCPM
(default is TRUE, returning raw counts).}
}
\value{
A list with two components:
        - metadata: tibble containing sample metadata
        - expression: tibble containing combined gene expression data
}
\description{
Extracts and combines gene expression data from a complex API response,
with proper formatting and metadata association.
}
