% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/key-handlers.R
\name{has_synthesize_token}
\alias{has_synthesize_token}
\title{Check if Synthesize Bio API Token is Set}
\usage{
has_synthesize_token()
}
\value{
Logical, TRUE if token is set, FALSE otherwise.
}
\description{
Checks whether a Synthesize Bio API token is currently set in the
environment. Useful for conditional code that requires an API token.
}
\examples{
 \dontrun{
# Check if token is set
if (!has_synthesize_token()) {
  # Prompt for token if not set
  set_synthesize_token()
}
}
}
